Autor Tema: Error composer Tehuelche 4.3.0  (Leído 277 veces)

0 Usuarios y 1 Visitante están viendo este tema.

martin.ibanez

  • Full Member
  • ***
  • Mensajes: 247
    • Ver Perfil
    • UNAU
    • Email
  • Institución: Universidad Nacional del Alto Uruguay
  • Nombre y apellido: Ibañez Martin Gabriel
  • Sistema: Mapuche, Pilaga, Diaguita, Guaraní, Kolla, Tehuelche
  • Teléfono laboral: 3764550344
  • Utilizo algun sistéma del SIU: Sí
Error composer Tehuelche 4.3.0
« on: Febrero 23, 2022, 02:19:17 pm »
Buenas tardes.
Estoy instalando por primera vez Tehuelche v. 4.0.3
Las versiones que tengo son:
Debian 11
***apache2 v 2.4.52
     output_buffering = On 
     memory_limit = 256M 
     upload_max_filesize = 8M
     post_max_size = 8M
     date.timezone = America/Argentina/Buenos_Aires
     default_charset = "ISO-8859-1"
     mbstring.internal_encoding = "ISO-8859-1"

***php7.4
***postgresql-13
    standard_conforming_strings = off
    bytea_output = 'escape'
    timezone = 'America/Buenos_Aires'
    shared_buffers = 512MB

***Yarn 0.32+git
***git version 2.30.2
***Composer version 2.2.6
***node v10.16.0

Y nos tira el siguiente error de composer:
 yarn add ckeditor4@4.17 jquery@3.6 jquery-migrate@3.3 siu-js-app-launcher@1.0.6 --modules-folder www/js/packages/
Usage: yarn [options]

yarn: error: no such option: --modules-folder
Script yarn add ckeditor4@4.17 jquery@3.6 jquery-migrate@3.3 siu-js-app-launcher@1.0.6 --modules-folder www/js/packages/ handling the post-install-cmd event returned with error code 2
Script composer run-script post-install-cmd -d ./vendor/siu-toba/framework/ handling the post-install-cmd event returned with error code 2

Puedo seguir con la instalación o puede generar inconvenientes a futuro?
Desde ya muchas gracias!
Saludos.

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Error composer Tehuelche 4.3.0
« Respuesta #1 on: Febrero 23, 2022, 02:23:26 pm »
Hola Martin, la versión de yarn debe ser >= 1 y menor a 2.

martin.ibanez

  • Full Member
  • ***
  • Mensajes: 247
    • Ver Perfil
    • UNAU
    • Email
  • Institución: Universidad Nacional del Alto Uruguay
  • Nombre y apellido: Ibañez Martin Gabriel
  • Sistema: Mapuche, Pilaga, Diaguita, Guaraní, Kolla, Tehuelche
  • Teléfono laboral: 3764550344
  • Utilizo algun sistéma del SIU: Sí
Re:Error composer Tehuelche 4.3.0
« Respuesta #2 on: Febrero 23, 2022, 02:52:38 pm »
Hola Rodrigo.
Oks, voy a cambiar la version.

Seguí instalando para probar y el login me muetra mal.

Cambio el yarn y vuelvo a probar.
Muchas gracias por la pronta respuesta.

Rodrigo Miranda [SIU]

  • Moderador Global
  • *****
  • Mensajes: 181
    • Ver Perfil
    • Email
  • Institución: SIU
Re:Error composer Tehuelche 4.3.0
« Respuesta #3 on: Febrero 23, 2022, 02:58:23 pm »
No hay porque, justo esa parte de yarn acomoda assets y demás yerbas así que es importante que cuentes con la versión correcta. Aguardo unos días antes de cerrar el hilo por las dudas tengas algún otro inconveniente.

martin.ibanez

  • Full Member
  • ***
  • Mensajes: 247
    • Ver Perfil
    • UNAU
    • Email
  • Institución: Universidad Nacional del Alto Uruguay
  • Nombre y apellido: Ibañez Martin Gabriel
  • Sistema: Mapuche, Pilaga, Diaguita, Guaraní, Kolla, Tehuelche
  • Teléfono laboral: 3764550344
  • Utilizo algun sistéma del SIU: Sí
Re:Error composer Tehuelche 4.3.0 [SOLUCIONADO]
« Respuesta #4 on: Febrero 23, 2022, 03:22:56 pm »
Le tuve que instalar yarn con  npm install --global yarn y ahí instaló todo sin error.
Quedó funcionando el entorno de pruebas.
Gracias.
Saludos.